Bug 95306 - EDITING: hiding disjointed columns operations is reverted partially
Summary: EDITING: hiding disjointed columns operations is reverted partially
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.2.6 target:5.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-10-24 19:54 UTC by Paolo Benvenuto
Modified: 2017-03-18 03:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Benvenuto 2015-10-24 19:54:53 UTC
I have a calc document.

I select disjointed columns, e.g. columns A and C

I hide those columns

Then I hit ctl-z in order to undo last operation

result: only column A is shown = BUG
Comment 1 m.a.riosv 2015-10-24 21:08:13 UTC
Hi @Paolo, thanks for reporting.

Reproducible
Win10x64
Version: 4.3.7.2 Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba
Version: 5.1.0.0.alpha1 (x64)
Build ID: 0b48731919433e46e4fda7e5a5ca27c08c28b981-GL


Not reproducible.
Version: 4.2.8.0.0 Build ID: 48d50dbfc06349262c9d50868e5c1f630a573ebd
Comment 2 raal 2015-12-12 20:32:42 UTC
41914bc457a897562476bfea640b3d64555b31d4 is the first bad commit
commit 41914bc457a897562476bfea640b3d64555b31d4
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Thu May 28 19:45:28 2015 +0800

    source-hash-cf70996311af2081b2e5920ad27094a0774bdd05
    
    commit cf70996311af2081b2e5920ad27094a0774bdd05
    Author:     Kohei Yoshida <kohei.yoshida@collabora.com>
    AuthorDate: Thu Feb 27 21:29:30 2014 -0500
    Commit:     Kohei Yoshida <kohei.yoshida@collabora.com>
    CommitDate: Thu Feb 27 21:35:02 2014 -0500
    
        Remove all uses of GetMarkRowRanges() and use GetMarkedRowSpans().
    
        And ditto with its column variant.  The former created a heap array of
        1 million elements (=MAXROWCOUNT). There is no need for this memory
        wastage.
    
        Change-Id: I07845966c51cdcbdc676cd0d249f6420a19b9c5e
Comment 3 Xisco Faulí 2016-10-03 09:23:56 UTC
Adding Cc: to Kohei Yoshida
Comment 4 Kohei Yoshida 2017-02-11 03:45:36 UTC
I'm looking into this.
Comment 5 Commit Notification 2017-02-11 04:44:14 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d450aad0a8f82ee0320ffc3e76eefb43c16addb

tdf#95306: Be sure to specify the entire range.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Kohei Yoshida 2017-02-11 04:50:17 UTC
Fixed.  It was a simple fix.
Comment 7 Commit Notification 2017-02-14 15:09:41 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f48bab920171cd62e99ff99f67ab67ea1c38b97&h=libreoffice-5-2

tdf#95306: Be sure to specify the entire range.

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-02-16 16:29:37 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b24499324a149626a6b57ea8ec32bf2a5f84152&h=libreoffice-5-3

tdf#95306: Be sure to specify the entire range.

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-03-18 03:54:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=135cc026bcbf77ced58c7a8b85604edba7c2d5df

add test for tdf#95306

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.